<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>plot &#8212; plot 0.1.0.post1.dev3+g95a57f2.d20230908 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=3301bed8"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="plot" href="readme.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="plot">
<h1>plot<a class="headerlink" href="#plot" title="Link to this heading">¶</a></h1>
<p>This is the documentation of <strong>plot</strong>. This provides a CLI wrapper around python’s
<cite>seaborn</cite> package, making it easy to generate high quality plots from the command
line using familiar themes and syntax.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This is the main page of your project’s <a class="reference external" href="https://www.sphinx-doc.org/">Sphinx</a> documentation.
It is formatted in <a class="reference external" href="https://www.sphinx-doc.org/en/master/usage/restructuredtext/basics.html">reStructuredText</a>. Add additional pages
by creating rst-files in <code class="docutils literal notranslate"><span class="pre">docs</span></code> and adding them to the <a class="reference external" href="https://www.sphinx-doc.org/en/master/usage/restructuredtext/directives.html">toctree</a> below.
Use then <a class="reference external" href="https://www.sphinx-doc.org/en/stable/markup/inline.html">references</a> in order to link them from this page, e.g.
<a class="reference internal" href="authors.html#authors"><span class="std std-ref">Contributors</span></a> and <a class="reference internal" href="changelog.html#changes"><span class="std std-ref">Changelog</span></a>.</p>
<p>It is also possible to refer to the documentation of other Python packages
with the <a class="reference external" href="https://www.sphinx-doc.org/en/master/usage/restructuredtext/domains.html#the-python-domain">Python domain syntax</a>. By default you can reference the
documentation of <a class="reference external" href="https://www.sphinx-doc.org/">Sphinx</a>, <a class="reference external" href="https://docs.python.org/">Python</a>, <a class="reference external" href="https://numpy.org/doc/stable">NumPy</a>, <a class="reference external" href="https://docs.scipy.org/doc/scipy/reference/">SciPy</a>, <a class="reference external" href="https://matplotlib.org/contents.html#">matplotlib</a>,
<a class="reference external" href="https://pandas.pydata.org/pandas-docs/stable">Pandas</a>, <a class="reference external" href="https://scikit-learn.org/stable">Scikit-Learn</a>. You can add more by extending the
<code class="docutils literal notranslate"><span class="pre">intersphinx_mapping</span></code> in your Sphinx’s <code class="docutils literal notranslate"><span class="pre">conf.py</span></code>.</p>
<p>The pretty useful extension <a class="reference external" href="https://www.sphinx-doc.org/en/master/ext/autodoc.html">autodoc</a> is activated by default and lets
you include documentation from docstrings. Docstrings can be written in
<a class="reference external" href="https://google.github.io/styleguide/pyguide.html#38-comments-and-docstrings">Google style</a> (recommended!), <a class="reference external" href="https://numpydoc.readthedocs.io/en/latest/format.html">NumPy style</a> and <a class="reference external" href="https://www.sphinx-doc.org/en/master/domains.html#info-field-lists">classical style</a>.</p>
</div>
<section id="contents">
<h2>Contents<a class="headerlink" href="#contents" title="Link to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">plot</a></li>
<li class="toctree-l1"><a class="reference internal" href="readme.html#docker">Docker</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a><ul>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#issue-reports">Issue Reports</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#documentation-improvements">Documentation Improvements</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#code-contributions">Code Contributions</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#maintainer-tasks">Maintainer tasks</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a><ul>
<li class="toctree-l2"><a class="reference internal" href="changelog.html#version-0-1">Version 0.1</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="api/modules.html">Module Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="api/plot.html">plot package</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="indices-and-tables">
<h2>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Link to this heading">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">plot</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">plot</a></li>
<li class="toctree-l1"><a class="reference internal" href="readme.html#docker">Docker</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a></li>
<li class="toctree-l1"><a class="reference internal" href="api/modules.html">Module Reference</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
      <li>Next: <a href="readme.html" title="next chapter">plot</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>